Subject: Re: [PATCH w/signoff] pre-push.sample: Remove unwanted `IFS=' '`.

From: Junio C Hamano <[email-masked]>
Date: Sun, 21 Dec 2014 14:49:53 -0800

Jim Hill <[email-masked]> writes:

> I call it unwanted because the default works fine with the actual
> input and explicitly limiting whitespace this way breaks most command
> substitution.

OK.  I'd call that "unnecessary", not "unwanted", though.

It becomes unwanted only when somebody cuts and pastes and changes
what happens inside the body of the loop without thinking what IFS
assignment is doing.

Leaving it to the default is not wrong per-se, but I think it is
better to justify this change as protecting cut-and-paste people,
which is its primary benefit as far as I can see.

Thanks for noticing.